; APP_NAME = Gitea: Git with a cup of tea
APP_NAME = git.miti.sh - Git Repositories
RUN_USER = gitea
WORK_PATH = /var/lib/gitea/
RUN_MODE = prod

[database]
DB_TYPE = postgres
HOST = 127.0.0.1:5432
; NAME = gitea
NAME = giteadb
USER = gitea
PASSWD = [REDACTED]
SCHEMA =
SSL_MODE = disable
PATH = /var/lib/gitea/data/gitea.db
LOG_SQL = false

[repository]
ROOT = /var/lib/gitea/data/gitea-repositories

[server]
; SSH_DOMAIN = localhost
; DOMAIN = localhost
DOMAIN = git.miti.sh
; HTTP_PORT = 3000
PROTOCOL = unix
ROOT_URL = https://git.miti.sh/
HTTP_ADDR = /run/gitea/gitea.socket
LOCAL_ROOT_URL =
APP_DATA_PATH = /var/lib/gitea/data
DISABLE_SSH = false
SSH_PORT = 22
LFS_START_SERVER = true
LFS_JWT_SECRET = [REDACTED]
OFFLINE_MODE = true

[lfs]
PATH = /var/lib/gitea/data/lfs

[mailer]
ENABLED = false

[service]
REGISTER_EMAIL_CONFIRM = false
ENABLE_NOTIFY_MAIL = false
; DISABLE_REGISTRATION = false
DISABLE_REGISTRATION = true
ALLOW_ONLY_EXTERNAL_REGISTRATION = false
ENABLE_CAPTCHA = false
REQUIRE_SIGNIN_VIEW = false
DEFAULT_KEEP_EMAIL_PRIVATE = false
DEFAULT_ALLOW_CREATE_ORGANIZATION = true
DEFAULT_ENABLE_TIMETRACKING = true
NO_REPLY_ADDRESS = noreply.localhost

[openid]
ENABLE_OPENID_SIGNIN = true
ENABLE_OPENID_SIGNUP = true

[cron.update_checker]
ENABLED = false

[session]
PROVIDER = file

[log]
MODE = console
LEVEL = info
ROOT_PATH = /var/lib/gitea/log

[repository.pull-request]
DEFAULT_MERGE_STYLE = merge

[repository.signing]
DEFAULT_TRUST_MODEL = committer

[security]
INSTALL_LOCK = true
INTERNAL_TOKEN = [REDACTED]
PASSWORD_HASH_ALGO = pbkdf2

[oauth2]
JWT_SECRET = [REDACTED]
